Package org.fife.ui.rsyntaxtextarea.focusabletip

## Class FocusableTip

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.focusabletip.FocusableTip

-     public class FocusableTip
      extends Object

  A focusable tool tip, similar to those found in Eclipse. The user can click in the tip and it becomes a "real," resizable window.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FocusableTip​(JTextArea textArea, HyperlinkListener listener)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `URL` | `getImageBase()` | Returns the base URL to use when loading images in this focusable tip.
    `Dimension` | `getMaxSize()` | The maximum size for unfocused tool tips.
    `void` | `possiblyDisposeOfTipWindow()` | Disposes of the focusable tip currently displayed, if any.
    `void` | `setImageBase​(URL url)` | Sets the base URL to use when loading images in this focusable tip.
    `void` | `setMaxSize​(Dimension maxSize)` | Sets the maximum size for unfocused tool tips.
    `void` | `toolTipRequested​(MouseEvent e, String text)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FocusableTip

          public FocusableTip​(JTextArea textArea,
                              HyperlinkListener listener)

  - ### Method Detail

    - #### getImageBase

          public URL getImageBase()

      Returns the base URL to use when loading images in this focusable tip.
      Returns:
        The base URL to use.
      See Also:
        `setImageBase(URL)`

    - #### getMaxSize

          public Dimension getMaxSize()

      The maximum size for unfocused tool tips.
      Returns:
        The maximum size for unfocused tool tips. A value of `null` will use a default size.
      See Also:
        `setMaxSize(Dimension)`

    - #### possiblyDisposeOfTipWindow

          public void possiblyDisposeOfTipWindow()

      Disposes of the focusable tip currently displayed, if any.

    - #### setImageBase

          public void setImageBase​(URL url)

      Sets the base URL to use when loading images in this focusable tip.
      Parameters:
        `url` - The base URL to use.
      See Also:
        `getImageBase()`

    - #### setMaxSize

          public void setMaxSize​(Dimension maxSize)

      Sets the maximum size for unfocused tool tips.
      Parameters:
        `maxSize` - The new maximum size. A value of `null` will cause a default size to be used.
      See Also:
        `getMaxSize()`

    - #### toolTipRequested

          public void toolTipRequested​(MouseEvent e,
                                       String text)